### Method

# SpiceClientGLib QmpPort query_status_async

since: 0.36

#### Declaration [src]

    void
    spice_qmp_port_query_status_async (
      SpiceQmpPort* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Query the run status of all VCPUs.

Available since: 0.36

This method completes asynchronously. Use `spice_qmp_port_query_status_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The async callback.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The async callback user data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.